<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/Formatters/HTML/Markup/Markup/Formatter.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis.Formatters.HTML.Markup.Markup.Formatter</title>
<link href="../../../../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../../../../Synopsis.html" >Global Package</a></span>
<span class="normal"><a href="../../../../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">package <a href="../../../../../Synopsis.html" >Synopsis</a>.<a href="../../../../Formatters.html" >Formatters</a>.<a href="../../../HTML.html" >HTML</a>.<a href="../../Markup.html" >Markup</a>.<a href="../Markup.html" >Markup</a>
</div><div class="class-name">class Formatter

</div><div class="links"><div class="file">File: <a href="../../../../../../File/Synopsis/Formatters/HTML/Markup/__init__.py.html" target="detail">../Synopsis/Formatters/HTML/Markup/__init__.py</a></div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Markup.Markup.Formatter" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Markup/__init__.py.html#line22" ><img src="../../../../../../src-py.png" alt="source code"/></a></div></div>  <img alt="Formatter-inheritance" src="Formatter-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Formatter-inheritance_map" />
<map name="Formatter-inheritance_map"></map>
 <div class="doc">Interface class that takes a 'doc' annotation and formats its
    text. Markup-specific subclasses should provide appropriate format methods.</div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Protected Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_lookup_symbol_in">_lookup_symbol_in</a>(<span class="variable">self</span>, <span class="variable">symbol</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Markup.Markup.Formatter._lookup_symbol_in" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Markup/__init__.py.html#line77" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="_find_method_entry">_find_method_entry</a>(<span class="variable">self</span>, <span class="variable">name</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Markup.Markup.Formatter._find_method_entry" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Markup/__init__.py.html#line86" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Methods Summary:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="init">init</a>(<span class="variable">self</span>, <span class="variable">processor</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Markup.Markup.Formatter.init" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Markup/__init__.py.html#line26" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatter.html#format" >format</a></span>(<span class="variable">self</span>, <span class="variable">decl</span>, <span class="variable">view</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Markup.Markup.Formatter.format" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Markup/__init__.py.html#line30" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Format the declaration's documentation.</div></div>
<div class="item"><div class="synopsis">&#160; <span class="name"><a href="Formatter.html#lookup_symbol" >lookup_symbol</a></span>(<span class="variable">self</span>, <span class="variable">symbol</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Markup.Markup.Formatter.lookup_symbol" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Markup/__init__.py.html#line44" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Given a symbol and a scope&#44; returns an URL.</div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<!-- this part was generated by Detail -->
<div class="detail">
<div class="heading">Methods Details:</div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="format">format</a>(<span class="variable">self</span>, <span class="variable">decl</span>, <span class="variable">view</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Markup.Markup.Formatter.format" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Markup/__init__.py.html#line30" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Format the declaration's documentation.
        @param view the View to use for references and determining the correct
        relative filename.
        @param decl the declaration
        @returns Struct containing summary / details pair.
        </div></div>
<div class="item"><div class="synopsis">&#160; <a class="name" id="lookup_symbol">lookup_symbol</a>(<span class="variable">self</span>, <span class="variable">symbol</span>, <span class="variable">scope</span>)  </div> <div class="xref"><a href="../../../../../../XRef/xref11.html#Synopsis.Formatters.HTML.Markup.Markup.Formatter.lookup_symbol" ><img src="../../../../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../../../../Source/Synopsis/Formatters/HTML/Markup/__init__.py.html#line44" ><img src="../../../../../../src-py.png" alt="source code"/></a></div> <div class="doc">Given a symbol and a scope&#44; returns an URL.
        Various methods are tried to resolve the symbol. First the
        parameters are taken off&#44; then we try to split the symbol using '.' or
        '::'. The params are added back&#44; and then we try to match this scoped
        name against the current scope. If that fails&#44; then we recursively try
        enclosing scopes.
        </div></div>
</div><!-- detail -->

<div class="logo">Generated on Thu Apr 16 16:27:11 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
